IEEE Library Package Changed というエラーメッセージの回避方法

概要

ベンダライブラリ xilinxcorelib のモジュールを使用するVHDLファイルをコンパイルしたところ、次のエラーが通知されました。どうすればよいですか?

Error: VLM_0009: .vhd : Entity "" must be recompiled because package "ieee.std_logic_1164" has changed.

Solution

本エラーを取り除くには、下記の手順を実行してください。

  1. View | Library Manager を選択して、ライブラリマネージャを開きます。

  2. 問題が発生している xilinxcorelibや他のライブラリを探して、マウスを右クリックしコンテキストメニューからRead/Writeを選択します。

  3. 再度マウスを右クリックし、Refresh Libraryを選択します。ライブラリが再コンパイルされるまで待ちます。コンソールメッセージを確認します。

  4. ライブラリが再コンパイルされたら、再度マウスを右クリックし、Read Onlyを選択します。

  5. デザインソースファイルを再度コンパイルしてください。

Ask Us a Question
x

Ask Us a Question

x
Captcha ImageReload Captcha
Incorrect data entered.
Thank you! Your question has been submitted. Please allow 1-3 business days for someone to respond to your question.
Internal error occurred. Your question was not submitted. Please contact us using Feedback form.